Pagina 1 di 1

[RISOLTO] Downgrade senza disinstallare, possibile?

MessaggioInviato: 12/08/2019, 17:24
da Chryses
Ciao, non so per quale strano motivo, ma dopo l'aggiornamento a buster mi ritrovo con una verisone di mono differente.
Premetto che il source list di mono è:
Codice: Seleziona tutto
deb https://download.mono-project.com/repo/debian stretch/snapshots/5.14.0.177 main


Fino a stretch tutto ok, avevo la verisone 5.14.0.177 ma ora dopo l'aggiornamento mi ritrovo con:
Codice: Seleziona tutto
$ mono --version
Mono JIT compiler version 5.18.0.240 (Debian 5.18.0.240+dfsg-3 Wed Apr 17 16:37:36 UTC 2019)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
        TLS:           __thread
        SIGSEGV:       altstack
        Notifications: epoll
        Architecture:  amd64
        Disabled:      none
        Misc:          softdebug
        Interpreter:   yes
        LLVM:          supported, not enabled.
        Suspend:       preemptive
        GC:            sgen (concurrent by default)

Mono purtroppo, da un po' di tempo, ha problemi con sonarr / radarr e per questo preferisco usare una vecchia versione.
Infatti la versione 5.18, dopo qualche giorno, manda in crisi radarr (stranamente non sonarr) e neppure un riavvio di radarr risolve.
Ho visto che è disponibile mono 6 per buster, ora provo a fare l'upgrade ma non ho molte speranze in merito.

Chiedo quindi se c'è un modo per forzare mono-complete con le relative dipendenze in un downgrade, senza però disinstallare nulla?
Ps, ma solo io non trovo la 5.14.0.177 per linux tra i sorgenti?

Re: Downgrade pacchetto senza disinstallare, possibile?

MessaggioInviato: 13/08/2019, 9:01
da Aki
Chryses ha scritto:c’'è un modo per forzare mono-complete con le relative dipendenze in un downgrade, senza però disinstallare nulla?

No, se usi il gestore di pacchetti devi comunque disinstallare la versione installata a favore della versione più vecchia. In tal caso, è tutta in carico a te la gestione della risoluzione manuale degli eventuali conflitti sulle dipendenze.

Re: Downgrade pacchetto senza disinstallare, possibile?

MessaggioInviato: 13/08/2019, 12:34
da Chryses
Speravo in qualche comando, fare tutto a mano diventa una cosa lunga, sono più di 160 pacchetti, direi che a questo punto l'aggiornamento alla versione 6 non risolve, toglierò tutto e reinstallerò la vecchia versione.

Grazie